package com.tanpu.community.feign.activity;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.activity.OfflineActivitySimpleResp;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "service-jifen", contextId = "jifen", url = "${tanpu.jifen.svc:}", path = "/jifen")
public interface FeignClientForActivity {


    @ApiOperation("线下活动列表-通过ids查询")
    @GetMapping(value = "/offlineActivity/inter/listByIds")
    CommonResp<List<OfflineActivitySimpleResp>> simpleListByIds(@ApiParam("活动ids") @RequestParam(value = "activityIds") List<String> activityIds);

    @ApiOperation("线下活动列表-通过机构查询")
    @GetMapping(value = "/offlineActivity/inter/listByOrgId")
    CommonResp<List<OfflineActivitySimpleResp>> simpleListByOrgid(@ApiParam("机构id") @RequestParam(value = "orgId") String orgId);

    @ApiOperation("线下活动列表-查询机构首页线下活动列表")
    @GetMapping(value = "/offlineActivity/inter/queryCorpHomeActivityList")
    CommonResp<List<OfflineActivitySimpleResp>> queryCorpHomeActivityList(@ApiParam("活动id") @RequestParam(value = "corpId") String corpId,
                                                                          @ApiParam("用户id") @RequestParam(value = "userId") String userId);
}
